/*
 * DiceGameUI.java
 */

#ifndef dicegame_DiceGameUI_h
#define dicegame_DiceGameUI_h

#include "DiceGameListener.h"

class DiceGame;

class DiceGameUI : public DiceGameListener
{
  public:
	DiceGameUI();
	~DiceGameUI();

	void show();
	virtual void startRound();
	virtual void endRound();
	virtual int inquireOddOrEven();

  protected:
	bool inquireContinue();

  private:
	DiceGame* m_diceGame;
};

#endif /* !dicegame_DiceGameUI_h */
