/*
 * AllTests.cpp
 */

#include "DiceTest.h"
#include "DiceGamePlayerTest.h"
#include "DiceGameTest.h"
#include <cppunit/TestRunner.h>

int main(int argc, char* argv[])
{
	CPPUNIT::TestRunner runner;
	runner.addTest("DiceTest", DiceTest::suite());
	runner.addTest("DiceGamePlayerTest", DiceGamePlayerTest::suite());
	runner.addTest("DiceGameTest", DiceGameTest::suite());
	return runner.run(argc, argv);
}
